{% extends 'dashboard.html.twig' %}

{% block title %}NSC Voucher | Generate{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}">
{% endblock %}

{% block body %}
    <div id="lead">
        <span>check voucher</span>
    </div>
    <div id="content">
        {{ form_start(form) }}
        {{ form_widget(form.id, {'attr': {'class': 'check-in', 'placeholder': 'voucher id'}}) }}
        {{ form_widget(form.save, {'label': 'Check', 'attr': {'class': 'check-btn'}}) }}
        {{ form_end(form) }}
        <div id="info">
            <div class="info-item">
                <span><a class="info-desc"><a class="info-desc">ID: </a>{{ voucher.guid }}</a></span>
            </div>
            <div class="info-item">
                <span><a class="info-desc">Recipient: </a>{{ voucher.customer }}</span>
            </div>
            <div class="info-item">
                <span><a class="info-desc">Present: </a>{{ voucher.present }}</span>
            </div>
            <div class="info-item">
                {% if voucher.status == false %}
                    <span style="color: #155724"><a class="info-desc">Status: </a>Unconfirmed</span>
                {% elseif voucher.status == true %}
                <span style="color: #721c24"><a class="info-desc">Status: </a>Confirmed</span>
                {% endif %}
            </div>
            <div class="info-item">
                <span><a class="info-desc">Date: </a>{{ voucher.date | date("d.m.Y", false) }} <a class="info-desc">Creator: </a>{{ voucher.author }}</span>
            </div>
        </div>
        <a href="{{ url('dashboard') }}"><div id="return-btn" type="submit"><i class="fas fa-long-arrow-alt-left"></i></div></a>
    </div>
{% endblock %}
